/*
	$Id: janus.h,v 1.2 1999/12/20 21:53:46 crosser Exp $
*/

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: janus.h,v $
	Revision 1.2  1999/12/20 21:53:46  crosser
	Added Janus implementation by Kolya Nesterov, 2:463/567@fidonet
	(patch for 3.02 made by Vladimir Zarozhevsky)
	
	Revision 1.1.1.1  1999/08/29 22:53:46  crosser
	Ifmail
	
*/
#ifndef JANUS_H
#define JANUS_H

#define JPKT_NONE	 0
#define JPKT_BAD	'@'
#define JPKT_FNAME	'A'
#define JPKT_FNACK	'B'
#define JPKT_BLK	'C'
#define JPKT_RPOS	'D'
#define JPKT_EOFACK	'E'
#define JPKT_HALT	'F'
#define JPKT_HALTACK	'G'
#define JPKT_FREQ	'H'
#define JPKT_FREQNAK	'I'
#define JPKT_FRNAKACK	'J'

#define JDLM_START	'a'
#define JDLM_END	'b'
#define JDLM_32START	'c'

#define JPKT_START		(-10)
#define JPKT_32START	(-11)
#define JPKT_END		(-12)

#define JCAP_CRC32	0x80
#define JCAP_FREQ	0x40
#define JCAP_CLEAR8	0x20
#define JCAP_OUR	(JCAP_CRC32 | JCAP_FREQ)

#define DBG_JANUS	25

extern int janus(void);

#endif
