#ifndef LINT
static char *rcsid="$Id: sequencer.c,v 1.1.1.1 1999/08/29 22:53:45 crosser Exp $";
#endif

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: sequencer.c,v $
	Revision 1.1.1.1  1999/08/29 22:53:45  crosser
	Ifmail
	
*/

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <sys/types.h>
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <stdio.h>
#ifdef STDC_HEADERS
# include <stdlib.h>
# include <string.h>
#else
# ifdef HAVE_STRINGS_H
#  include <strings.h>
# endif
#endif
#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <time.h>
#include "lutil.h"
#include "rdconfig.h"

unsigned INT32 sequencer(void)
{
	FILE *fp;
	struct flock fl;
	unsigned long id;

	time((time_t*)&id);

	if ((fp=fopen(sequence,"r+")) == NULL)
		fp=fopen(sequence,"w");
	if (fp == NULL) return id;
	fl.l_type=F_WRLCK;
	fl.l_whence=0;
	fl.l_start=0L;
	fl.l_len=0L;
	fcntl(fileno(fp),F_SETLKW,&fl);
	fscanf(fp,"%lu",&id);
	rewind(fp);
	fprintf(fp,"%lu\n",++id);
	fclose(fp);

	return (unsigned INT32)id;
}
