/*
	$Id: nlindex.h,v 1.2 1999/11/03 07:06:08 crosser Exp $
*/

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: nlindex.h,v $
	Revision 1.2  1999/11/03 07:06:08  crosser
	Check for ndbm in more places
	
	Revision 1.1.1.1  1999/08/29 22:53:46  crosser
	Ifmail
	
*/
#ifndef NLINDEX_H
#define NLINDEX_H

#include "nodelist.h"

#define INDEX "index"

#if defined(HAVE_NDBM_H)
#include <ndbm.h>
extern DBM *nldb;
#elif defined(HAVE_GDBM_NDBM_H)
#include <gdbm/ndbm.h>
extern DBM *nldb;
#elif defined(HAVE_DB1_NDBM_H)
#include <db1/ndbm.h>
extern DBM *nldb;
#else
#include <dbm.h>
#endif
extern int openstatus;

extern struct _nodelist {
	char *domain;
	FILE *fp;
} *nodevector;

struct _ixentry {
	unsigned short zone;
	unsigned short net;
	unsigned short node;
	unsigned short point;
};
struct _loc {
	off_t off;
	unsigned short nlnum;
	unsigned short hub;
};

extern struct _pkey {
	char *key;
	unsigned char type;
	unsigned char pflag;
} pkey[];

extern struct _fkey fkey[];

extern int initnl(void);

#endif
