/*
	$Id: statetbl.h,v 1.2 1999/12/28 16:01:54 crosser Exp $
*/

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: statetbl.h,v $
	Revision 1.2  1999/12/28 16:01:54  crosser
	Move to syslog
	Portability for HP/UX
	
	Revision 1.1.1.1  1999/08/29 22:53:46  crosser
	Ifmail
	
*/
#ifndef STATETBL_H
#define STATETBL_H

#define SM_DECL(proc,name) \
int proc(void)\
{\
	int sm_success=0;\
	char *sm_name=name;

#define SM_STATES \
	enum {

#define SM_NAMES \
	} sm_state;\
	char * sm_sname[] = {

#define SM_EDECL \
	};

#define SM_START(x) \
	sm_state=x;\
	debug(14,"statemachine %s start %s (%d)",\
		sm_name,sm_sname[sm_state],sm_state);\
	while (!sm_success) switch (sm_state)\
	{\
	default: syslog(LOG_ERR,"statemachine %s error: state=%d",sm_name,sm_state);\
		sm_success=-1;

#define SM_STATE(x) \
	break;\
	case x: debug(15,"statemachine %s entering %s (%d)",\
		sm_name,sm_sname[sm_state],sm_state);

#define SM_END \
	}\
	debug(14,"statemachine %s exit %s (%d)",\
		sm_name,(sm_success == -1)?"error":"success",sm_success);

#define SM_RETURN \
	return (sm_success != 1);\
}

#define SM_PROCEED(x) \
	sm_state=x; break;

#define SM_SUCCESS \
	sm_success=1; break;

#define SM_ERROR \
	sm_success=-1; break;

#endif
