/*
	$Id: crc.h,v 1.1 1999/12/20 21:53:46 crosser Exp $
*/

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: crc.h,v $
	Revision 1.1  1999/12/20 21:53:46  crosser
	Added Janus implementation by Kolya Nesterov, 2:463/567@fidonet
	(patch for 3.02 made by Vladimir Zarozhevsky)
	
*/
#ifndef CRC_H
#define CRC_H

/*
 *
 * CRC calculating routes
 *  
 */

#define upd_crc32(a, crc) (crc32tab[((int) (crc) ^ (a)) & 0xff] ^ (((crc) >> 8) & 0x00ffffff))
#define upd_crc16xmodem(a, crc) (crc16tab[((((crc) >> 8) & 0xff) ^ (a)) & 0xff] ^ ((crc) << 8))
 
extern unsigned long crc32tab[];
extern unsigned short crc16tab[];

unsigned long crc(char *str);
unsigned long crc32(char *str, int l);
unsigned short crc16xmodem(char *str, int l);
unsigned char checksum(char *str, int l);

#endif
