#ifndef LINT
static char *rcsid="$Id: regexpr.c,v 1.2 1999/08/30 16:43:16 crosser Exp $";
#endif

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: regexpr.c,v $
	Revision 1.2  1999/08/30 16:43:16  crosser
	Make the thing at least compile.
	
	Revision 1.1.1.1  1999/08/29 22:53:45  crosser
	Ifmail
	
*/

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#ifndef HAVE_RE_COMP

#include <sys/types.h>
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <stdio.h>
#ifdef STDC_HEADERS
# include <stdlib.h>
# include <string.h>
#else
# ifdef HAVE_STRINGS_H
#  include <strings.h>
# endif
#endif
#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#if defined(HAVE_REGEX_H)
#include <regex.h>
#elif defined(HAVE_LIBGEN_H)
#include <libgen.h>
#else
char *regcmp();
char *regex();
#endif

static char *compiled_reg=NULL;
extern char *__loc1;

char *re_comp(mask)
char *mask;
{
	if (compiled_reg) free(compiled_reg);
	compiled_reg=regcmp(mask,NULL);
	return NULL;
}

int re_exec(str)
char *str;
{
	char *first_unmatched;

	return ((first_unmatched=regex(compiled_reg,str)) &&
		(__loc1 == str) &&
		(*first_unmatched == '\0'));
}

#endif
